//
//  WMSimpleViewController.m
//  MasonyDemo
//
//  Created by wangmiao on 16/4/27.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import "WMSimpleViewController.h"
#import <Masonry.h>

@interface WMSimpleViewController ()

@end

@implementation WMSimpleViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    [self setUI];
}

- (void)setUI
{
    UIView *sv = [[UIView alloc] init];
    sv.backgroundColor = [UIColor redColor];
    [self.view addSubview:sv];
    [sv mas_makeConstraints:^(MASConstraintMaker *make) {
        make.center.equalTo(self.view);
        make.size.mas_equalTo(CGSizeMake(300, 300));
    }];
    
    UIView *sv1 = [[UIView alloc] init];
    sv1.backgroundColor = [UIColor yellowColor];
    [sv addSubview:sv1];
    
    UIView *sv2 = [[UIView alloc] init];
    sv2.backgroundColor = [UIColor blackColor];
    [sv addSubview:sv2];
    
    [sv1 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.mas_equalTo(sv.mas_centerY);
        make.left.equalTo(sv.mas_left).with.offset(10);
        make.right.equalTo(sv2.mas_left).with.offset(-10);
        make.height.mas_equalTo(@150);
        make.width.mas_equalTo(sv2);
    }];
    
    [sv2 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(sv.mas_centerY);
        make.right.equalTo(sv.mas_right).with.offset(-10);
        make.left.equalTo(sv1.mas_right).with.offset(10);
        make.height.equalTo(sv1);
        make.width.equalTo(sv1);
    }];
}


@end
