//
//  WMNormalViewController.m
//  MasonyDemo
//
//  Created by wangmiao on 16/4/27.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import "WMNormalViewController.h"
#import <Masonry.h>

@interface WMNormalViewController ()

@property (nonatomic, strong) UIView  * viewNormal;
@property (nonatomic, strong) UIView  * viewNormal1;

@end

@implementation WMNormalViewController


- (UIView *)viewNormal
{
    if (_viewNormal == nil) {
        _viewNormal = [[UIView alloc] init];
        _viewNormal.backgroundColor = [UIColor redColor];
    }
    return _viewNormal;
}

- (UIView *)viewNormal1
{
    if (_viewNormal1 == nil) {
        _viewNormal1 = [[UIView alloc] init];
        _viewNormal1.backgroundColor = [UIColor blackColor];
    }
    return _viewNormal1;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:self.viewNormal];
    [self.view addSubview:self.viewNormal1];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
//    self.viewNormal.frame = CGRectMake(0, 0, 300, 300);
    
    [self.viewNormal mas_makeConstraints:^(MASConstraintMaker *make) {
        make.center.equalTo(self.view);
        make.size.mas_equalTo(CGSizeMake(300, 300));
    }];
    
    [self.viewNormal1 mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.edges.equalTo(self.viewNormal).with.insets(UIEdgeInsetsMake(10, 10, 10, 10));
//        make.top.equalTo(self.viewNormal).with.offset(10);
//        make.left.equalTo(self.viewNormal).with.offset(10);
//        make.bottom.equalTo(self.viewNormal).with.offset(-10);
//        make.right.equalTo(self.viewNormal).with.offset(-10);
        
        make.left.top.right.bottom.equalTo(self.viewNormal).with.insets(UIEdgeInsetsMake(10, 10, 10, 10));
        
    }];
}



@end
